Summary: System manual pages - German versions
Name: man-pages-de
Version: 0.1
Release: 981011
Copyright: distributable
Group: Documentation
Source: ftp://ftp.Infodrom.North.DE/pub/Linux/Devel/manpages-de/manpages-de.tgz
Source1: makewhatis.de
BuildRoot: /tmp/man-pages-de-root
URL: http://www.Infodrom.North.DE/Linux/manpages-de/
Icon: books-de.gif
BuildArchitectures: noarch
Requires: locales-de
Summary(de): Der gerMAN Onlinehilfen in deutscher Sprache

%description
German version of the man pages:

A large collection of man pages covering programming APIs, file
formats, protocols, etc.

    Section 1 = user commands (intro only)
    Section 2 = system calls
    Section 3 = libc calls
    Section 4 = devices (e.g., hd, sd)
    Section 5 = file formats and protocols (e.g., wtmp, /etc/passwd, nfs)
    Section 6 = games (intro only)
    Section 7 = conventions, macro packages, etc. (e.g., nroff, ascii)
    Section 8 = system administration (intro only)

%description -l de
Dieses Projekt wurde von Andries Brouwer ins Leben gerufen, der das
Manpages Paket fr Linux verwaltet.

%prep
%setup -n manpages-de

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/de/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/de/cat{1,2,3,4,5,6,7,8,9,n}
make MANDIR=$RPM_BUILD_ROOT/usr/man/de

mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
install -m 755 $RPM_SOURCE_DIR/makewhatis.de $RPM_BUILD_ROOT/usr/local/sbin/makewhatis.de

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-de.cron << EOF
#!/bin/bash
/usr/local/sbin/makewhatis.de /usr/man/de
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-de.cron

%post
if grep makewhatis.de /etc/cron.weekly/makewhatis.cron >& /dev/null
then
        cat /etc/cron.weekly/makewhatis.cron | grep -v '^/usr/local/sbin/makewhatis.de' > /tmp/makewhatis-update.$$
        cat /tmp/makewhatis-update.$$ > /etc/cron.weekly/makewhatis.cron
        rm /tmp/makewhatis-update.$$
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%doc README gerMAN-09sep93.README man-pages-de-0.1.Announce man-pages-de-0.1.lsm
/usr/man/de
/var/catman/de
/usr/local/sbin/makewhatis.de
%config /etc/cron.weekly/makewhatis-de.cron
